#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

#ファイルが存在しないとき作るというもの
#ここでdicファイルをつくるようにもしたい
def make_dic(aa,i)
  #aa=Array.new
  #i=0
  if FileTest.exist?('../Ruby/unk') then
    IO.popen("mkdir ~/Ruby/unk")
    #IO.popen
    IO.popen("/usr/lib/mecab/mecab-dict-index -d /var/lib/mecab/dic/debian -u /var/lib/mecab/dic/ipadic/newuser.dic -f utf-8 -t utf-8 /var/www/newuser.csv", "r+") do |c|
      c.close_write
      while line= c.gets
        aa[i]=line
        i+=1
      end
    end
    
  else
    #print("ファイルは存在しています\n")
    IO.popen("/usr/lib/mecab/mecab-dict-index -d /var/lib/mecab/dic/debian -u /var/lib/mecab/dic/ipadic/newuser.dic -f utf-8 -t utf-8 /var/www/newuser.csv", "r+") do |c|
      #c.puts 
      c.close_write
      while line= c.gets
        aa[i]=line
        i+=1
      end
    end
    
  end
end

# aaa=[]
# ii=0
# make_dic(aaa,ii)
# p aaa.length
# while ii<aaa.length
#   p aaa[ii]
#   ii+=1
# end
